Name: libxslt
Version: 1.1.29
Release: 4
License: MIT
Summary: The XSLT C library of Gnome
Url: http://xmlsoft.org/XSLT/

BuildRequires: zlib-devel
BuildRequires: xz-devel
BuildRequires: libxml2-tools
BuildRequires: libxml2-devel

Source0: ftp://xmlsoft.org/libxml2/libxslt-%{version}.tar.gz


%description
Libxslt is the XSLT C library developed for the GNOME project. XSLT itself is a
an XML language to define transformation for XML. Libxslt is based on libxml2
the XML C library developed for the GNOME project. It also implements most of
the EXSLT set of processor-portable extensions functions and some of Saxon's
evaluate and expressions extensions.

%package devel
Summary: libxslt development files
Requires: %{name} = %{version}

%description devel
libxslt development files


%prep
%setup -q

%build

%configure \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --host=powerpc-ibm-aix6 \
  --without-python \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  # end

%make_build

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%check

make check

%files
%defattr(-, qsys, *none)

%{_libdir}/libxslt.so.1
%{_libdir}/libexslt.so.0
%{_bindir}/xsltproc

%files devel
%defattr(-, qsys, *none)

%{_bindir}/xslt-config

%{_libdir}/libxslt.so
%{_libdir}/libexslt.so

%{_libdir}/xsltConf.sh

%{_libdir}/pkgconfig/libxslt.pc
%{_libdir}/pkgconfig/libexslt.pc

%{_includedir}/*
%{_datadir}/aclocal/libxslt.m4
%{_defaultdocdir}/libxslt-1.1.29

%{_mandir}/man1/xsltproc.1
%{_mandir}/man3/libexslt.3
%{_mandir}/man3/libxslt.3

%changelog
* Tue Mar 06 2018 - Kevin Adler <kadler@us.ibm.com>
- Add unpackaged man files

* Tue Mar 06 2018 - Kevin Adler <kadler@us.ibm.com>
- Use configure macro
- Move *-conig scripts to devel packages

* Mon Mar 05 2018 - mengxumx <mengxumx@cn.ibm.com>
- Initial package
